<mat-card>
    <mat-card-title>Listado</mat-card-title>
 
    <mat-card-content>

        <mat-table [dataSource]="dataSource" multiTemplateDataRows>
           
            <ng-container matColumnDef="fecha">
                <mat-header-cell *matHeaderCellDef>Fecha</mat-header-cell>
                <mat-cell *matCellDef="let ps">
                    {{ps.fecha}}
                </mat-cell>
            </ng-container>
            <ng-container matColumnDef="cliente">
                <mat-header-cell *matHeaderCellDef>Cliente</mat-header-cell>
                <mat-cell *matCellDef="let ps">
                    {{ps.cliente.nombre}} {{ps.cliente.apellido}}
                </mat-cell>
            </ng-container>

            <ng-container matColumnDef="expandedDetail">
                <mat-cell *matCellDef="let ps" [attr.colspan]="displayedArticuloList.length">
          
                  <div [@detailExpand]="ps == expandedElement ? 'expanded' : 'collapsed'">
                    <mat-list>
                      <mat-list-item *ngFor="let articulo of ps.ordenDetList">
                        <mat-line>{{articulo.articulo.codigo}}</mat-line>
                        <mat-line style="margin-left: 10%;"> {{articulo.articulo.nombre}}</mat-line>
                        <mat-line style="margin-left: 10%;"> {{articulo.precioUnitario}}</mat-line>
                      </mat-list-item>
                    </mat-list>
                  </div>
          
                </mat-cell>
            </ng-container>

            
            <mat-header-row *matHeaderRowDef="displayedColumns;sticky: true"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns" 
                  (click)="expandedElement = expandedElement === row ? null : row"></mat-row>
           
            <mat-row *matRowDef="let row; columns: ['expandedDetail']"></mat-row>

        </mat-table>
        
        <mat-paginator #paginator [pageSize]="5" [pageSizeOptions]="[5, 10, 15, 20]"></mat-paginator>
    
    </mat-card-content>
</mat-card>